/*
 * Connections.h
 *
 *  Created on: 10/08/2009
 *      Author: rcamargo
 */

#ifndef CONNECTIONS_H_
#define CONNECTIONS_H_

#include "Definitions.hpp"
#include "HinesStruct.hpp"
#include <vector>

//#define __aligned__ ignored
//#include <tr1/unordered_map>
//#undef __aligned__

#include <map>


#define CONN_NEURON_TYPE 1000000

struct Conn {
	int dest;   // neuron identifier
	//int source;
	ucomp synapse;
	ftype weigth;
	ftype delay;
};

class Connections {
public:

	//std::tr1::unordered_map< int, std::vector<Conn> > connMap;
	std::map< int, std::vector<Conn *> > connMap;

	//int *getConnArray (int source);
	//int getConnArraySize (int source);
	std::vector<Conn *> & getConnArray (int source);

	Connections();
	virtual ~Connections();

	int connectAssociativeFromFile (char *filename);
	int connectRandom (ftype pyrRatio, ftype inhRatio, int *typeList, int nTypes, int *nNeurons, SharedNeuronGpuData *sharedData, int threadNumber);
	int createTestConnections ();
};

#endif /* CONNECTIONS_H_ */
