# Evaluates the performance with different number of neurons,
# connections and spike rate
rm -rf scalability
mkdir scalability
for i in {1..10}
do
  mkdir scalability/$i
  for dev in G4 C4
  do

    mkdir scalability/$i/$dev
    for neurons in 1000 10000 20000 100000 200000
    do

      mkdir scalability/$i/$dev/$neurons
      for conn in n0 n1l n1m n1h n2l n2m n2h
      do
	
        if [ $neurons -gt 30000 -a ${conn:0:2} = "n2" ]; then
	  echo Skipping ./HinesGpu ${dev:0:1} $neurons 4 ${dev:1:2} $conn [$i]
        else
          mkdir scalability/$i/$dev/$neurons/$conn
          echo ./HinesGpu ${dev:0:1} $neurons 4 ${dev:1:2} $conn [$i]
          ./HinesGpu ${dev:0:1} $neurons 4 ${dev:1:2} $conn $i
          mv *.dat scalability/$i/$dev/$neurons/$conn
	fi

      done
    done
  done
  #sleep 300
done

echo
echo
