# Evaluates the results with different floating-point precisions
rm -rf precision
mkdir precision
mkdir precision/CF/
mkdir precision/CD/
mkdir precision/GF/
mkdir precision/GD/
nNeurons=100000
for i in {1..10}
do
echo ./HinesGpuF G $nNeurons 4 4 p [$i]
    ./HinesGpuF G $nNeurons 4 4 p $i
    mkdir precision/GF/$i; mv *.dat precision/GF/$i
    echo ./HinesGpuD G $nNeurons 4 4 p [$i]
    ./HinesGpuD G $nNeurons 4 4 p $i
    mkdir precision/GD/$i; mv *.dat precision/GD/$i
    echo ./HinesGpuF C $nNeurons 4 4 p [$i]
    ./HinesGpuF C $nNeurons 4 4 p $i
    mkdir precision/CF/$i; mv *.dat precision/CF/$i
    echo ./HinesGpuD C $nNeurons 4 4 p [$i]
    ./HinesGpuD C $nNeurons 4 4 p $i
    mkdir precision/CD/$i; mv *.dat precision/CD/$i
done
